Skip to main content
GET
/
invoices
/
me
List my invoices
curl --request GET \
  --url https://api.obiex.finance/v1/invoices/me \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.obiex.finance/v1/invoices/me"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.obiex.finance/v1/invoices/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Ok",
  "data": [
    {
      "id": "a3f1c2d4-8b0e-4f3a-9c7d-1e2b3a4c5d6e",
      "createdAt": "2026-06-10T11:00:00.000Z",
      "updatedAt": "2026-06-10T12:45:00.000Z",
      "status": "COMPLETED",
      "sourceCurrency": "NGN",
      "sourceAmount": 1625000,
      "targetCurrency": "USD",
      "targetAmount": 1000,
      "rate": 1625,
      "purposeOfPayment": "Payment for software development services",
      "virtualAccountNumber": "9012345678",
      "virtualAccountName": "Obiex / Acme Corp",
      "virtualBankName": "Providus Bank",
      "virtualAccountReference": "INV-REF-2026-001",
      "accountExpiresAt": "2026-06-10T11:30:00.000Z",
      "trackingId": "TRK-20260610-001",
      "beneficiaryAccountNumber": "12345678901",
      "beneficiaryAccountName": "Acme Corp Account",
      "beneficiaryBankName": "First International Bank",
      "swiftCode": "FIBKUS33XXX"
    }
  ],
  "meta": {
    "page": 1,
    "pageSize": 30,
    "total": 1
  }
}

Authorizations

x-api-key
string
header
required

Headers

Query Parameters

status
enum<string>

Filter by invoice status

Available options:
PENDING,
APPROVED,
PROCESSING,
COMPLETED,
FAILED,
EXPIRED,
REFUNDED
startDate
string<date-time>

Filter invoices created on or after this date

endDate
string<date-time>

Filter invoices created on or before this date

page
integer
default:1
pageSize
integer
default:30

Response

200 - application/json

Paginated list of invoices

The response is of type object.